-- #102
CREATE TABLE paymentmethod (
     paymentmethodid      integer  not null
,    shopid               integer  not null
,    paymenttypeid        integer  not null
,    taxclassid           integer  null
,    isactivated          bool  not null
,    isdefault            bool  not null
,    ishirepurchaseenabled bool  not null
,    cashdiscountmode     integer  not null
,    cashdiscount         double  not null
,    containersubtotalattrname varchar(255)  null
,    dopaymentonbasket    bool  not null
,    transactiontype      bool  not null
,    isintestmode         bool  not null
,    regionid             integer  null
,    workswithoutshipping bool  not null
,    internalimagepath    varchar(255)  null

,   constraint pk_paymentmethod                 primary key (paymentmethodid)
,   constraint fk_paymentmethod_taxclassid      foreign key (taxclassid)
        references taxclass                         (taxclassid)
,   constraint fk_paymentmethod_shopid          foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_paymentmethod_paymentmethodid foreign key (paymentmethodid)
        references object                           (objectid)
,   constraint fk_paymentmethod_paymenttypeid   foreign key (paymenttypeid)
        references paymenttype                      (paymenttypeid)
,   constraint fk_paymentmethod_regionid        foreign key (regionid)
        references region                           (regionid)
)
GO
CREATE INDEX i_payment_shop ON paymentmethod (shopid)
GO

CREATE INDEX i_payment_type ON paymentmethod (paymenttypeid)
GO

CREATE INDEX i_payment_taxclass ON paymentmethod (taxclassid)
GO

CREATE INDEX i_paymentmethod_regionid ON paymentmethod (regionid)
GO
